diff -Naur linux-source-2.6.34.1.orig/Makefile linux-source-2.6.34.1/Makefile
--- linux-source-2.6.34.1.orig/Makefile	2010-07-05 18:24:10.000000000 +0000
+++ linux-source-2.6.34.1/Makefile	2010-07-15 15:55:21.000000000 +0000
@@ -584,8 +584,7 @@
 
 # Add user supplied CPPFLAGS, AFLAGS and CFLAGS as the last assignments
 # But warn user when we do so
-warn-assign = \
-$(warning "WARNING: Appending $$K$(1) ($(K$(1))) from $(origin K$(1)) to kernel $$$(1)")
+warn-assign =
 
 ifneq ($(KCPPFLAGS),)
         $(call warn-assign,CPPFLAGS)
@@ -1090,7 +1089,6 @@
 modules: $(vmlinux-dirs) $(if $(KBUILD_BUILTIN),vmlinux)
 	$(Q)$(AWK) '!x[$$0]++' $(vmlinux-dirs:%=$(objtree)/%/modules.order) > $(objtree)/modules.order
 	$(Q)$(AWK) '!x[$$0]++' $(vmlinux-dirs:%=$(objtree)/%/modules.builtin) > $(objtree)/modules.builtin
-	@$(kecho) '  Building modules, stage 2.';
 	$(Q)$(MAKE) -f $(srctree)/scripts/Makefile.modpost
 	$(Q)$(MAKE) -f $(srctree)/scripts/Makefile.fwinst obj=firmware __fw_modbuild
 
@@ -1354,7 +1352,6 @@
 	$(Q)$(MAKE) $(build)=$(patsubst _module_%,%,$@)
 
 modules: $(module-dirs)
-	@$(kecho) '  Building modules, stage 2.';
 	$(Q)$(MAKE) -f $(srctree)/scripts/Makefile.modpost
 
 PHONY += modules_install
diff -Naur linux-source-2.6.34.1.orig/scripts/Kbuild.include linux-source-2.6.34.1/scripts/Kbuild.include
--- linux-source-2.6.34.1.orig/scripts/Kbuild.include	2010-07-05 18:24:10.000000000 +0000
+++ linux-source-2.6.34.1/scripts/Kbuild.include	2010-07-15 15:56:00.000000000 +0000
@@ -1,6 +1,12 @@
 ####
 # kbuild: Generic definitions
 
+sc_couleur_vert    =$(shell tput setf 2)$(1)$(shell tput sgr0)
+sc_couleur_rouge   =$(shell tput setf 4)$(1)$(shell tput sgr0)
+sc_couleur_jaune   =$(shell tput setf 6)$(1)$(shell tput sgr0)
+sc_couleur_bleu    =$(shell tput setf 1)$(1)$(shell tput sgr0)
+sc_couleur_magenta =$(shell tput setf 5)$(1)$(shell tput sgr0)
+
 # Convenient variables
 comma   := ,
 squote  := '
@@ -166,7 +172,7 @@
 # echo command.
 # Short version is used, if $(quiet) equals `quiet_', otherwise full one.
 echo-cmd = $(if $($(quiet)cmd_$(1)),\
-	echo '  $(call escsq,$($(quiet)cmd_$(1)))$(echo-why)';)
+	echo '$(call escsq,$($(quiet)cmd_$(1)))$(echo-why)';)
 
 # printing commands
 cmd = @$(echo-cmd) $(cmd_$(1))
diff -Naur linux-source-2.6.34.1.orig/scripts/Makefile.build linux-source-2.6.34.1/scripts/Makefile.build
--- linux-source-2.6.34.1.orig/scripts/Makefile.build	2010-07-05 18:24:10.000000000 +0000
+++ linux-source-2.6.34.1/scripts/Makefile.build	2010-07-15 15:57:58.000000000 +0000
@@ -142,7 +142,7 @@
 $(multi-objs-y:.o=.s)   : modname = $(modname-multi)
 $(multi-objs-y:.o=.lst) : modname = $(modname-multi)
 
-quiet_cmd_cc_s_c = CC $(quiet_modtag)  $@
+quiet_cmd_cc_s_c = $(call sc_couleur_vers)CC  $(quiet_modtag)  $@
 cmd_cc_s_c       = $(CC) $(c_flags) -fverbose-asm -S -o $@ $<
 
 $(obj)/%.s: $(src)/%.c FORCE
@@ -173,7 +173,7 @@
 # The C file is compiled and updated dependency information is generated.
 # (See cmd_cc_o_c + relevant part of rule_cc_o_c)
 
-quiet_cmd_cc_o_c = CC $(quiet_modtag)  $@
+quiet_cmd_cc_o_c = $(call sc_couleur_vert,CC)  $(patsubst /hostfs/%,%,$@)
 
 ifndef CONFIG_MODVERSIONS
 cmd_cc_o_c = $(CC) $(c_flags) -c -o $@ $<
@@ -341,7 +341,7 @@
 quiet_cmd_link_multi-y = LD      $@
 cmd_link_multi-y = $(LD) $(ld_flags) -r -o $@ $(link_multi_deps) $(cmd_secanalysis)
 
-quiet_cmd_link_multi-m = LD [M]  $@
+quiet_cmd_link_multi-m = $(call sc_couleur_bleu,LD)  $(patsubst /hostfs/%,%,$@)
 cmd_link_multi-m = $(cmd_link_multi-y)
 
 # We would rather have a list of rules like
diff -Naur linux-source-2.6.34.1.orig/scripts/Makefile.modpost linux-source-2.6.34.1/scripts/Makefile.modpost
--- linux-source-2.6.34.1.orig/scripts/Makefile.modpost	2010-07-05 18:24:10.000000000 +0000
+++ linux-source-2.6.34.1/scripts/Makefile.modpost	2010-07-15 15:58:43.000000000 +0000
@@ -83,7 +83,7 @@
  $(if $(KBUILD_EXTMOD)$(KBUILD_MODPOST_WARN),-w) \
  $(if $(cross_build),-c)
 
-quiet_cmd_modpost = MODPOST $(words $(filter-out vmlinux FORCE, $^)) modules
+quiet_cmd_modpost =
       cmd_modpost = $(modpost) -s
 
 PHONY += __modpost
@@ -106,7 +106,7 @@
 # modname is set to make c_flags define KBUILD_MODNAME
 modname = $(notdir $(@:.mod.o=))
 
-quiet_cmd_cc_o_c = CC      $@
+quiet_cmd_cc_o_c =
       cmd_cc_o_c = $(CC) $(c_flags) $(CFLAGS_MODULE)	\
 		   -c -o $@ $<
 
@@ -116,7 +116,7 @@
 targets += $(modules:.ko=.mod.o)
 
 # Step 6), final link of the modules
-quiet_cmd_ld_ko_o = LD [M]  $@
+quiet_cmd_ld_ko_o =
       cmd_ld_ko_o = $(LD) -r $(LDFLAGS) $(LDFLAGS_MODULE) -o $@		\
 			  $(filter-out FORCE,$^)
 
